For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
      • GETList disputes
      • GETRetrieve dispute
      • POSTAccept dispute
      • POSTChallenge dispute
      • GETList dispute evidence
      • POSTCreate dispute evidence text
      • POSTCreate dispute evidence file
      • DELDelete dispute evidence
      • GETRetrieve dispute evidence
      • Dispute
      • DisputeEvidence
      • POSTEvent: dispute.created
      • POSTEvent: dispute.status.updated
  • Customer Request API
  • Management API
LogoLogo
Network APIDisputes

List dispute evidence

GET
/disputes/:dispute_id/evidence
GET
/network/v1/disputes/:dispute_id/evidence
$curl https://api.cash.app/network/v1/disputes/dispute_id/evidence \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent"
1{
2 "evidence": [
3 {
4 "id": "EVD_dbdda8e161b7bad8519f7f73",
5 "dispute_id": "DSPT_1fbjn9dg7rmz1xeyv6gkyh8vg",
6 "category": "GENERIC_EVIDENCE",
7 "type": "FILE",
8 "created_at": "2022-01-01T12:00:00Z",
9 "file": {
10 "filename": "string",
11 "content_type": "application/pdf"
12 },
13 "text": "string",
14 "metadata": {}
15 }
16 ],
17 "cursor": "string"
18}

Returns a list of all pieces of evidence associated with the given dispute.

This endpoint is rate limited to 50 QPS.

Scopes: DISPUTES_READ

Was this page helpful?
Previous

Create dispute evidence text

Next
Built with

Path parameters

dispute_idstringRequired

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Query parameters

cursorstringOptional>=1 character
A pagination cursor returned by a previous call to this endpoint. Provide this cursor to retrieve the next set of results for the original query.
limitintegerOptional1-100Defaults to 50
Maximum number of pieces of dispute evidence to return

Response

OK
evidencelist of objects
List of pieces of evidence for the dispute matching the given query parameters
cursorstring
The pagination cursor to be used in a subsequent request. If empty, this is the final response.

Errors

400
Bad Request Error